# Generated by Django 3.1.7 on 2021-03-03 10:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('game', '0001_add_admin_user'),
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('name', models.CharField(max_length=255)),
                ('address', models.GenericIPAddressField()),
            ],
        ),
        migrations.CreateModel(
            name='Pose',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('time', models.DateTimeField(db_index=True)),
                ('score', models.FloatField()),
                ('nose_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('nose_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('nose_score', models.FloatField()),
                ('left_eye_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_eye_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_eye_score', models.FloatField()),
                ('right_eye_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_eye_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_eye_score', models.FloatField()),
                ('left_ear_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_ear_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_ear_score', models.FloatField()),
                ('right_ear_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_ear_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_ear_score', models.FloatField()),
                ('left_shoulder_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_shoulder_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_shoulder_score', models.FloatField()),
                ('right_shoulder_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_shoulder_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_shoulder_score', models.FloatField()),
                ('left_elbow_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_elbow_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_elbow_score', models.FloatField()),
                ('right_elbow_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_elbow_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_elbow_score', models.FloatField()),
                ('left_wrist_x', models.DecimalField(db_index=True, decimal_places=16, max_digits=20)),
                ('left_wrist_y', models.DecimalField(db_index=True, decimal_places=16, max_digits=20)),
                ('left_wrist_score', models.FloatField()),
                ('right_wrist_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_wrist_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_wrist_score', models.FloatField()),
                ('left_hip_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_hip_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_hip_score', models.FloatField()),
                ('right_hip_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_hip_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_hip_score', models.FloatField()),
                ('left_knee_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_knee_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_knee_score', models.FloatField()),
                ('right_knee_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_knee_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_knee_score', models.FloatField()),
                ('left_ankle_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_ankle_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('left_ankle_score', models.FloatField()),
                ('right_ankle_x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_ankle_y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('right_ankle_score', models.FloatField()),
                ('create_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='game.client')),
            ],
        ),
        migrations.CreateModel(
            name='TouchGuess',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('x', models.DecimalField(decimal_places=16, max_digits=20)),
                ('y', models.DecimalField(decimal_places=16, max_digits=20)),
                ('player', models.CharField(choices=[('L', 'Left'), ('R', 'Right')], max_length=1)),
                ('pose', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='game.pose')),
            ],
        ),
    ]
